<?php

namespace Tests\App\Models;

use Tests\Support\ModelCrudTestCase;
use App\Models\CurrentFlagModel;

class CurrentFlagModelTest extends ModelCrudTestCase
{

    public function testCanInsertAndRetrieve()
    {
        $this->assertModelCanInsertAndRetrieve(CurrentFlagModel::class);
    }

    public function testCanUpdate()
    {
        $this->assertModelCanUpdate(CurrentFlagModel::class);
    }

    public function testCanDelete()
    {
        $this->assertModelCanDelete(CurrentFlagModel::class);
    }
}
